# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IDataBinding

Packages that use IDataBinding
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IDataBinding in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IDataBinding
Modifier and Type
Method
Description
`IDataBinding[]`
MultiRowItem.`getDataBindings()`
`IDataBinding[]`
SimpleRowItem.`getDataBindings()`
Methods in org.eclipse.birt.report.model.api.extension with parameters of type IDataBinding
Modifier and Type
Method
Description
`void`
MultiRowItem.`addDataBinding(IDataBinding binding)`
`void`
SimpleRowItem.`addDataBinding(IDataBinding binding)`

## Uses of IDataBinding in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IDataBinding
Modifier and Type
Method
Description
`IDataBinding`
SimpleElementFactory.`createDataBinding()`
Create `IDataBinding`
`IDataBinding`
SimpleElementFactory.`createDataBinding(ComputedColumnHandle columnHandle)`
`IDataBinding`
SimpleElementFactory.`createDataBinding(ComputedColumn column)`

## Uses of IDataBinding in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IDataBinding
Modifier and Type
Method
Description
`IDataBinding`
IReportDesign.`createDataBinding()`
Create `IDataBinding`
`IDataBinding`
ISimpleElementFactory.`createDataBinding()`
Creates the data biinding structure.
`IDataBinding`
ISimpleElementFactory.`createDataBinding(ComputedColumnHandle columnHandle)`
Creates the data biinding structure.
`IDataBinding`
ISimpleElementFactory.`createDataBinding(ComputedColumn column)`
Creates the data biinding structure.
`IDataBinding[]`
IReportItem.`getDataBindings()`
Returns array of all column bindings
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type IDataBinding
Modifier and Type
Method
Description
`void`
IReportItem.`addDataBinding(IDataBinding binding)`
Add ComputedColumn.name , expression of IDataBinding are required.